Subject: bug#28242: Batch mode compiling: Error messages are displayed with "invalid character" glyph bounding symbols.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 26 Aug 2017 17:06:59 +0000

Hello, Eli.

On Sat, Aug 26, 2017 at 17:09:17 +0300, Eli Zaretskii wrote:
> > Date: Sat, 26 Aug 2017 13:06:08 +0000
> > From: Alan Mackenzie <[email-masked]>
> > 
> > On my new PC (Gentoo GNU/Linux), byte compiling in batch mode (e.g. with
> > make bootstrap in the master branch) is displaying warning messages with
> > symbols "quoted" by the invalid character glyph (a solid square) rather
> > than ` and '.  Presumably Emacs is attempting to use single curly
> > quotes.
> > 
> > This is ugly and not helpful.  A fix would be appreciated.

> You need to figure out why the logic in startup--setup-quote-display
> isn't working in your case.

I don't think the calling of that function is pertinent; there is only
one call of it, and that is inside "(unless noninteractive ...)".
Presumably noninterative will be non-nil in batch mode.

Perhaps the problem is that that function (or some equivalent) isn't
being called, and Emacs is outputting non-displayable characters
regardless.

-- 
Alan Mackenzie (Nuremberg, Germany).